Blame SOURCES/0001-name-test-Don-t-run-test-autolaunch-if-we-don-t-have.patch

f8e34b
From 116f212581c93dba56ce5bc7b3f28237b2940145 Mon Sep 17 00:00:00 2001
f8e34b
From: Colin Walters <walters@verbum.org>
f8e34b
Date: Thu, 18 Jul 2013 15:14:58 -0400
f8e34b
Subject: [PATCH] name-test: Don't run test-autolaunch if we don't have dbus-launch
f8e34b
f8e34b
libdbus will look for its compiled-in path to find dbus-launch, and
f8e34b
not find it when running in a buildroot that doesn't have dbus
f8e34b
installed (the typical case for pbuilder/mock).
f8e34b
---
f8e34b
 test/name-test/run-test.sh |    6 +++++-
f8e34b
 1 files changed, 5 insertions(+), 1 deletions(-)
f8e34b
f8e34b
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
f8e34b
index cad5937..0bb0aee 100755
f8e34b
--- a/test/name-test/run-test.sh
f8e34b
+++ b/test/name-test/run-test.sh
f8e34b
@@ -57,4 +57,8 @@ elif ! $PYTHON $DBUS_TOP_SRCDIR/test/name-test/test-activation-forking.py; then
f8e34b
 fi
f8e34b
 
f8e34b
 echo "running test-autolaunch"
f8e34b
-${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-autolaunch || die "test-autolaunch failed"
f8e34b
+if which dbus-launch 2>/dev/null; then
f8e34b
+    ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-autolaunch || die "test-autolaunch failed"
f8e34b
+else
f8e34b
+    echo "Skipping test-autolaunch, no dbus-launch in $PATH"
f8e34b
+fi
f8e34b
-- 
f8e34b
1.7.1
f8e34b